org.eclipse.incquery.viewers.runtime.model

## Class ViewerDataModel

- java.lang.Object
- - org.eclipse.incquery.viewers.runtime.model.ViewerDataModel

- Direct Known Subclasses:
    IncQueryViewerDataModel

      public abstract class ViewerDataModel
      extends java.lang.Object

  Data model collecting input from multiple query results, and returns them as `ObservableSet` instances.
  Author:
    Zoltan Ujhelyi, Istvan Rath, Csaba Debreceni

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewerDataModel(IncQueryEngine engine)`
    `ViewerDataModel(org.eclipse.emf.ecore.resource.ResourceSet notifier)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `IncQueryEngine` | `getEngine()`
    `NotationModel` | `getNotationModel()`
    `abstract java.util.Collection<IQuerySpecification<?>>` | `getPatterns()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewerDataModel

          public ViewerDataModel(org.eclipse.emf.ecore.resource.ResourceSet notifier)
                          throws IncQueryException,
                                 IncQueryBaseException

      Throws:
        `IncQueryException`
        `IncQueryBaseException`

    - #### ViewerDataModel

          public ViewerDataModel(IncQueryEngine engine)
                          throws IncQueryException,
                                 IncQueryBaseException

      Throws:
        `IncQueryException`
        `IncQueryBaseException`

  - ### Method Detail

    - #### getNotationModel

          public NotationModel getNotationModel()

    - #### getEngine

          public IncQueryEngine getEngine()

    - #### dispose

          public void dispose()

    - #### getPatterns

          public abstract java.util.Collection<IQuerySpecification<?>> getPatterns()